Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMTitle

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMTitle

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Title

    public class JSMTitle

extends JSMBaseObject
implements Title

Field Summary
`java.lang.Integer` | `margin`
`Style` | `style`
`java.lang.String` | `text`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMTitle()`

Method Summary
`int` | `getMargin()`
`Style` | `getStyle()`
`java.lang.String` | `getText()`
`Title` | `setMargin(int margin)`
`Title` | `setText(java.lang.String text)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

### style

    public Style style

### margin

    public java.lang.Integer margin

Constructor Detail

### JSMTitle

    public JSMTitle()

Method Detail

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `Title`

### getMargin

    public int getMargin()

  Specified by:
    `getMargin` in interface `Title`

### setMargin

    public Title setMargin(int margin)

  Specified by:
    `setMargin` in interface `Title`

### setText

    public Title setText(java.lang.String text)

  Specified by:
    `setText` in interface `Title`

### getStyle

    public Style getStyle()

  Specified by:
    `getStyle` in interface `Title`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD